Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229522 - Init script does not work with debug kernels
Summary: Init script does not work with debug kernels
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 18:22 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-21 19:27:14 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-02-21 18:22:32 UTC
Description of problem:

kdump init script does not startup properly when running debug kernels.  The
following fixes:

--- kdump.init  8 Mar 2006 20:39:23 -0000       1.8
+++ kdump.init  21 Feb 2007 18:20:58 -0000
@@ -49,7 +49,7 @@
        if [ -z "$KDUMP_KERNELVER" ]; then
                local running_kernel=`uname -r`

-               kdump_kver=`echo $running_kernel | sed 's/smp//g'`
+               kdump_kver=`echo $running_kernel | sed -e 's/smp//g' -e
's/debug//g'`
                kdump_kver="${kdump_kver}kdump"
        else
                kdump_kver=$KDUMP_KERNELVER


Also is an issue on FC6.  Also, not sure if something similar needs to be done
for xen kernels.

Comment 1 Neil Horman 2007-02-21 19:27:14 UTC
This is precisely what KDUMP_KERNELVER is for.  You can set it in
/etc/sysconfig/kdump.

xen kernels currently do not support kdump

Comment 2 Orion Poplawski 2007-02-21 21:04:46 UTC
But won't older kdump kernels eventually be removed by yum/installonly, thus
requiring periodic manual updating of /etc/sysconfig/kdump?  You already have to
do some munging for smp kernels, although I guess that's going away.  Seems like
an easy enough fix in any case.


Note You need to log in before you can comment on or make changes to this bug.